Freeciv-3.1: edit_terrain Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Slots | Private Attributes
edit_terrain Class Reference

`#include <edit_terrain.h>`

Inheritance diagram for edit_terrain:

## Public Member Functions

| edit_terrain (ruledit_gui *ui_in, struct terrain *ter_in)
void | refresh ()
Public Member Functions inherited from values_dlg
| values_dlg ()
void | open_help (struct strvec **help)
void | close_help ()

## Protected Member Functions

void | closeEvent (QCloseEvent *cevent)

## Private Slots

void | set_mcost_value (int value)
void | set_defense_value (int value)
void | gfx_tag_given ()
void | gfx_tag_alt_given ()
void | helptext ()

## Private Attributes

ruledit_gui * | ui
struct terrain * | ter
QSpinBox * | mcost
QSpinBox * | defense
QLineEdit * | gfx_tag
QLineEdit * | gfx_tag_alt
QGridLayout * | natives_layout
QGridLayout * | flag_layout

## Detailed Description

Definition at line 33 of file edit_terrain.h.

## Constructor & Destructor Documentation

## ◆ edit_terrain()

edit_terrain::edit_terrain | ( | ruledit_gui * | ui_in,
|  | struct terrain * | ter_in
| ) |  |

explicit

Setup edit_terrain object

Definition at line 43 of file edit_terrain.cpp.

## Member Function Documentation

## ◆ closeEvent()

void edit_terrain::closeEvent | ( | QCloseEvent * | cevent | ) |

protected

User is closing dialog.

Definition at line 145 of file edit_terrain.cpp.

## ◆ gfx_tag_alt_given

void edit_terrain::gfx_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative graphics tag.

Definition at line 228 of file edit_terrain.cpp.

Referenced by closeEvent(), and edit_terrain().

## ◆ gfx_tag_given

void edit_terrain::gfx_tag_given | ( |  | ) |

privateslot

User entered new graphics tag.

Definition at line 218 of file edit_terrain.cpp.

Referenced by closeEvent(), and edit_terrain().

## ◆ helptext

void edit_terrain::helptext | ( |  | ) |

privateslot

User pressed helptext button

Definition at line 238 of file edit_terrain.cpp.

Referenced by edit_terrain().

## ◆ refresh()

void edit_terrain::refresh | ( |  | ) |

Refresh the information.

Definition at line 187 of file edit_terrain.cpp.

Referenced by edit_terrain(), set_defense_value(), and set_mcost_value().

## ◆ set_defense_value

void edit_terrain::set_defense_value | ( | int | value | ) |

privateslot

Read defense value from spinbox

Definition at line 208 of file edit_terrain.cpp.

Referenced by edit_terrain().

## ◆ set_mcost_value

void edit_terrain::set_mcost_value | ( | int | value | ) |

privateslot

Read movement cost value from spinbox

Definition at line 198 of file edit_terrain.cpp.

Referenced by edit_terrain().

## Field Documentation

## ◆ defense

QSpinBox* edit_terrain::defense

private

Definition at line 45 of file edit_terrain.h.

Referenced by edit_terrain(), and refresh().

## ◆ flag_layout

QGridLayout* edit_terrain::flag_layout

private

Definition at line 50 of file edit_terrain.h.

Referenced by closeEvent(), and edit_terrain().

## ◆ gfx_tag

QLineEdit* edit_terrain::gfx_tag

private

Definition at line 46 of file edit_terrain.h.

Referenced by edit_terrain(), gfx_tag_given(), and refresh().

## ◆ gfx_tag_alt

QLineEdit* edit_terrain::gfx_tag_alt

private

Definition at line 47 of file edit_terrain.h.

Referenced by edit_terrain(), gfx_tag_alt_given(), and refresh().

## ◆ mcost

QSpinBox* edit_terrain::mcost

private

Definition at line 44 of file edit_terrain.h.

Referenced by edit_terrain(), and refresh().

## ◆ natives_layout

QGridLayout* edit_terrain::natives_layout

private

Definition at line 49 of file edit_terrain.h.

Referenced by closeEvent(), and edit_terrain().

## ◆ ter

struct terrain* edit_terrain::ter

private

Definition at line 43 of file edit_terrain.h.

Referenced by closeEvent(), edit_terrain(), gfx_tag_alt_given(), gfx_tag_given(), helptext(), refresh(), set_defense_value(), and set_mcost_value().

## ◆ ui

ruledit_gui* edit_terrain::ui

private

Definition at line 42 of file edit_terrain.h.

Referenced by edit_terrain().